SAVELOG(8)

NOME
savelog - salva un file di log

SINTASSI
savelog [-m modo] [-u utente] [-g gruppo] [-t] [-p] [-c ciclo] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r dir_di_rotaz] [-n] [-q] [-D formatodata] file ...

DESCRIZIONE
Il comando savelog salva e opzionalmente comprime le vecchie copie di file. Alle versioni più vecchie di file viene assegnato il nome:
    file.<numero><suffisso_compressione>
dove <numero> è il numero di versione, con 0 che corrisponde alla più recente. I numeri di versione > 0 vengono compressi a meno che -l non lo impedisca. Il numero di versione 0 non viene compresso perché un processo potrebbe ancora avere file aperto in I/O. Solo le versioni ciclo vengono mantenute. Se il file non esiste ed è stata specificata -t, allora verrà creato. Per i file che esistono e hanno lunghezza maggiore di zero, vengono effettuate le seguenti azioni:

1)  I file con numero di versione vengono rotati. La versione file.2 viene spostata nella versione file.3, la versione file.1 viene spostata nella versione file.2 e così via. Da ultimo la versione file.0 viene spostata nella versione file.1 e la versione file viene eliminata. Sia i nomi compressi sia i non compressi vengono rotati, indipendentemente da l. I file di versione mancanti vengono ignorati.

2)  Il nuovo file file.1 viene compresso a meno che non sia specificata l'opzione -l. Viene cambiato in base alle opzioni -m, -u e -g.

3)  Il file principale viene spostato in file.0.

4)  Se sono utilizzate le opzioni -m, -u, -g, -t o -p, allora viene creato un file vuoto in accordo con le opzioni specificate. Con l'opzione -p, il file viene creato con gli stessi proprietario, gruppo e permessi che aveva prima.

5)  Il nuovo file.0 viene cambiato in base alle opzioni -m, -u e -g.

OPZIONI

-m modo
    usa chmod per cambiare la modalità dei file di log in «modo», implica -t

-u utente
    usa chown per assegnare i file di log ad utente, implica -t

-g gruppo
    usa chgrp per assegnare i file di log a gruppo, implica -t

-c ciclo
    Salva un numero ciclo di versione del file di log (valore predefinito: 7). Il valore di ciclo deve essere maggiore o uguale a 2.

-t  usa touch su i nuovi file di log

-l  non comprime alcun file di log (valore predefinito: comprimere)

-p  preserva proprietario, gruppo e permessi del file di log

-j  comprime con bzip2 invece di gzip

-J  comprime con xz invece di gzip Per xz non è impostata alcuna opzione sulla qualità, e xz decide il valore predefinito in base alla quantità totale di RAM fisica. Notare che xz può usare una quantità di memoria molto grande per i livelli di compressione più alti.

-1 .. -9
    livello di compressione o uso della memoria (valore predefinito: 9, tranne che per xz)

-C  forza la pulizia dei file di log rotati

-d  usa la data standard per la rotazione

-D formatodata
    sovrascrive il formato data, nella forma [MMGGhhmm[[CC]AA][.ss]]

-r  usa rolldir invece di . per ruotare i file

-n  non ruota i file vuoti

-q  funziona silenziosamente

BUG
Se un processo sta ancora scrivendo su file.0 e savelog lo sposta in file.1 e lo comprime, potrebbero andare persi dei dati.

VEDERE ANCHE
logrotate(8)